data:extend(
{  
  {
    type = "lab",
    name = "advanced-lab",
    icon = "__advanced__/graphics/icons/advanced-lab.png",
    flags = {"placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "advanced-lab"},
    max_health = 150,
    corpse = "big-remnants",
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    light = {intensity = 0.75, size = 8},
    on_animation =
    {
      filename = "__advanced__/graphics/entity/advanced-lab/advanced-lab.png",
      frame_width = 113,
      frame_height = 91,
      frame_count = 33,
      line_length = 11,
      shift = {0.2, 0.15}
    },
    off_animation =
    {
      filename = "__advanced__/graphics/entity/advanced-lab/advanced-lab.png",
      frame_width = 113,
      frame_height = 91,
      frame_count = 1,
      shift = {0.2, 0.15}
    },
    energy_source =
    {
      type = "electric",
      input_priority = "secondary"
    },
    energy_usage = "100W",
    inputs =
    {
      "science-pack-1",
      "science-pack-2",
      "science-pack-3",
      "alien-science-pack"
    },
    module_slots = 3
  },
  {
    type = "accumulator",
    name = "advanced-accumulator",
    icon = "__advanced__/graphics/icons/advanced-accumulator.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "advanced-accumulator"},
    max_health = 150,
    corpse = "medium-remnants",
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    energy_source =
    {
      type = "electric",
      buffer_capacity = "20KJ",
      input_priority = "terciary",
      input_flow_limit = "600W",
      output_priority = "terciary",
      output_flow_limit = "600W"
    },
    picture =
    {
      filename = "__advanced__/graphics/entity/advanced-accumulator/advanced-accumulator.png",
      priority = "extra-high",
      width = 124,
      height = 103,
      shift = {0.7, -0.2}
    },
    charge_animation =
    {
      filename = "__advanced__/graphics/entity/advanced-accumulator/advanced-accumulator-charge-animation.png",
      frame_width = 138,
      frame_height = 135,
      line_length = 8,
      frame_count = 24,
      shift = {0.482, -0.638},
      animation_speed = 0.5
    },
    charge_cooldown = 30,
    charge_light = {intensity = 0.3, size = 7},
    discharge_animation =
    {
      filename = "__advanced__/graphics/entity/advanced-accumulator/advanced-accumulator-discharge-animation.png",
      frame_width = 147,
      frame_height = 128,
      line_length = 8,
      frame_count = 24,
      shift = {0.395, -0.525},
      animation_speed = 0.5
    },
    discharge_cooldown = 60,
    discharge_light = {intensity = 0.7, size = 7}
  },
  {
    type = "furnace",
    name = "advanced-electric-furnace",
    icon = "__advanced__/graphics/icons/advanced-electric-furnace.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "advanced-electric-furnace"},
    max_health = 150,
    corpse = "big-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_slots = 3,
    smelting_categories = {"smelting"},
    result_inventory_size = 1,
    smelting_speed = 2,
    smelting_energy_consumption = "360W",
    source_inventory_size = 1,
    energy_source =
    {
      type = "electric",
      input_priority = "secondary",
      emissions = 0.005
    },
    on_animation =
    {
      filename = "__advanced__/graphics/entity/advanced-electric-furnace/advanced-electric-furnace.png",
      priority = "high",
      x = 131,
      frame_width = 131,
      frame_height = 102,
      frame_count = 12,
      animation_speed = 0.5,
      shift = {0.5, 0.05 }
    },
    off_animation =
    {
      filename = "__advanced__/graphics/entity/advanced-electric-furnace/advanced-electric-furnace.png",
      priority = "high",
      frame_width = 131,
      frame_height = 102,
      frame_count = 1,
      animation_speed = 0.5,
      shift = {0.5, 0.05 }
    },
    fast_replaceable_group = "furnace"
  },
  {
    type = "beacon",
    name = "advanced-beacon",
    icon = "__advanced__/graphics/icons/advanced-beacon.png",
    flags = {"placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "advanced-beacon"},
    max_health = 200,
    corpse = "big-remnants",
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    allowed_effects = {"consumption", "speed", "pollution"},
    animation =
    {
      filename = "__advanced__/graphics/entity/advanced-beacon/advanced-beacon.png",
      frame_width = 176,
      frame_height = 186,
      frame_count = 32,
      line_length = 6,
      shift = {1.2, 0.5},
      animation_speed = 1 / 3
    },
    radius_visualisation_picture =
    {
      filename = "__advanced__/graphics/entity/advanced-beacon/beacon-radius-visualization.png",
      width = 48,
      height = 48
    },
    supply_area_distance = 12,
    energy_source =
    {
      type = "electric",
      input_priority = "secondary"
    },
    energy_usage = "1500W",
    distribution_effectivity = 0.75,
    num_module_slots = 3
  },
}
)
